# -*- coding: utf-8 -*-

cat_map = {
    u'篮球': 100,
    u'体育趣闻': 101,
    u'体育教学': 102,
    u'足球': 103,
    u'综合体育': 104,
    u'奥运': 105,
    u'功夫搏击': 106,
    u'极限运动': 107,
    u'广告': 200,
    u'创意': 201,
    u'自拍': 202,
    u'公益短片': 203,
    u'青春': 204,
    u'绝活': 205,
    u'军情解读': 300,
    u'军事节目': 301,
    u'武器装备': 302,
    u'战争历史': 303,
    u'原创动画': 400,
    u'动漫周边': 401,
    u'连载动画': 402,
    u'宅文化': 403,
    u'明星资讯': 500,
    u'饭拍饭制': 501,
    u'儿歌': 600,
    u'益智': 601,
    u'少儿节目': 602,
    u'少儿动画': 603,
    u'爆笑原创': 700,
    u'段子剧': 701,
    u'糗事': 702,
    u'爆笑动物': 703,
    u'相声小品': 704,
    u'奇趣': 705,
    u'熊孩子': 706,
    u'爆笑恶搞': 707,
    u'鬼畜': 708,
    u'神回复': 709,
    u'公开课': 800,
    u'校园内外': 801,
    u'语言学习': 802,
    u'考试': 803,
    u'职场教育': 804,
    u'演讲': 805,
    u'人生课堂': 806,
    u'技能教学': 807,
    u'知识百科': 808,
    u'产品资讯': 900,
    u'数码其他': 901,
    u'评测': 902,
    u'智能生活': 903,
    u'宗教': 1000,
    u'读书': 1001,
    u'艺术': 1002,
    u'历史': 1003,
    u'文化': 1004,
    u'正能量': 1100,
    u'奇闻趣事': 1101,
    u'社会百态': 1102,
    u'人物访谈': 1103,
    u'法制': 1104,
    u'国内时政': 1105,
    u'国际时政': 1106,
    u'国际社会': 1107,
    u'交通': 1108,
    u'旅行趣闻': 1200,
    u'旅行攻略': 1201,
    u'旅途风光': 1202,
    u'时尚资讯': 1300,
    u'时尚大片': 1301,
    u'男士时尚': 1302,
    u'美妆': 1303,
    u'潮流奢品': 1304,
    u'穿搭': 1305,
    u'T台秀场': 1306,
    u'喂养': 1400,
    u'保健护理': 1401,
    u'萌宝': 1402,
    u'孕产': 1403,
    u'早教': 1404,
    u'新车速递': 1500,
    u'试驾评测': 1501,
    u'玩车': 1502,
    u'车模': 1503,
    u'用车': 1504,
    u'汽车资讯': 1505,
    u'汽车其他': 1506,
    u'摩托车': 1507,
    u'手机游戏': 1600,
    u'游戏周边': 1601,
    u'达人解说': 1602,
    u'游戏节目': 1603,
    u'网络游戏': 1604,
    u'电竞赛事': 1605,
    u'单机游戏': 1606,
    u'游戏展会': 1607,
    u'宠物': 1700,
    u'两性': 1701,
    u'星座': 1702,
    u'风水命理': 1703,
    u'情感': 1704,
    u'健康': 1705,
    u'休闲': 1706,
    u'生活窍门': 1707,
    u'健身': 1708,
    u'家居': 1709,
    u'心灵': 1710,
    u'彩票': 1711,
    u'摄影': 1712,
    u'电影资讯': 1800,
    u'微电影': 1801,
    u'电影周边': 1802,
    u'影评': 1803,
    u'电影剪辑': 1804,
    u'电视剧剪辑': 1900,
    u'网络剧': 1901,
    u'电视剧片花': 1902,
    u'剧集周边': 1903,
    u'科学其他': 2000,
    u'科学实验': 2001,
    u'太空探索': 2002,
    u'科普': 2003,
    u'科技前沿': 2100,
    u'互联网': 2101,
    u'机械': 2102,
    u'航空航天': 2103,
    u'科技奇趣': 2104,
    u'美食纪录片': 2200,
    u'自然纪录片': 2201,
    u'历史纪录片': 2202,
    u'社会纪录片': 2203,
    u'旅游纪录片': 2204,
    u'军事纪录片': 2205,
    u'人文纪录片': 2206,
    u'舞蹈教学': 2300,
    u'舞蹈工作室': 2301,
    u'舞蹈达人': 2302,
    u'明星热舞': 2303,
    u'公司': 2400,
    u'创业': 2401,
    u'经济': 2402,
    u'消费': 2403,
    u'房地产': 2404,
    u'投资': 2405,
    u'理财': 2406,
    u'财经人物': 2407,
    u'产经': 2408,
    u'股市': 2409,
    u'金融': 2410,
    u'收藏': 2411,
    u'恶搞音乐': 2500,
    u'演奏': 2501,
    u'翻唱': 2502,
    u'音乐节目': 2503,
    u'演唱会': 2504,
    u'影视音乐': 2505,
    u'明星MV': 2506,
    u'达人MV': 2507,
    u'喊麦': 2508,
    u'音乐牛人': 2509,
    u'广场舞教学': 2600,
    u'广场舞欣赏': 2601,
    u'美味食谱': 2700,
    u'烘焙': 2701,
    u'吃播大胃王': 2702,
    u'美食猎奇': 2703,
    u'音乐真人秀': 2800,
    u'喜剧节目': 2801,
    u'脱口秀': 2802,
    u'真人秀': 2803,
    u'情感节目': 2804,
    u'魔术': 2805,
    u'戏曲': 2806,
    u'舞台剧': 2807,
    u'其他综艺': 2808}

cat_groups = [
    {
        'cat': u'电影',
        'subcats': [u'电影周边', u'电影资讯', u'电影剪辑', u'微电影', u'影评']},
    {
        'cat': u'电视剧',
        'subcats': [u'电视剧剪辑', u'电视剧片花', u'剧集周边', u'网络剧']},
    {
        'cat': u'动漫',
        'subcats': [u'连载动画', u'原创动画', u'动漫周边', u'宅文化']},
    {
        'cat': u'新闻',
        'subcats': [u'国内时政', u'国际时政', u'国际社会', u'社会百态', u'人物访谈', u'奇闻趣事', u'法制', u'交通', u'正能量']},
    {
        'cat': u'娱乐',
        'subcats': [u'明星资讯', u'饭拍饭制']
    },
    {
        'cat': u'综艺',
        'subcats': [u'音乐真人秀', u'喜剧节目', u'脱口秀', u'真人秀', u'情感节目', u'舞台剧', u'魔术', u'戏曲', u'其他综艺']
    },
    {
        'cat': u'搞笑',
        'subcats': [u'鬼畜', u'奇趣', u'段子剧', u'神回复', u'熊孩子', u'糗事', u'爆笑原创', u'爆笑动物', u'爆笑恶搞', u'相声小品']
    },
    {
        'cat': u'体育',
        'subcats': [u'篮球', u'足球', u'体育趣闻', u'体育教学', u'综合体育', u'功夫搏击', u'极限运动']
    },
    {
        'cat': u'音乐',
        'subcats': [u'演唱会', u'音乐节目', u'恶搞音乐', u'翻唱', u'演奏',
                    u'影视音乐', u'明星MV', u'达人MV', u'喊麦', u'音乐牛人']
    },
    {
        'cat': u'舞蹈',
        'subcats': [u'明星热舞', u'舞蹈达人', u'舞蹈教学', u'舞蹈工作室']
    },
    {
        'cat': u'广场舞',
        'subcats': [u'广场舞教学', u'广场舞欣赏']
    },
    {
        'cat': u'少儿',
        'subcats': [u'儿歌', u'益智', u'少儿动画', u'少儿节目']
    },
    {
        'cat': u'游戏',
        'subcats': [u'手机游戏', u'网络游戏', u'单机游戏', u'游戏节目', u'达人解说', u'电竞赛事', u'游戏展会', u'游戏周边']
    },
    {
        'cat': u'财经',
        'subcats': [u'公司', u'创业', u'经济', u'消费', u'投资', u'理财', u'产经', u'股市', u'金融', u'房地产', u'财经人物', u'收藏']  # noqa
    },
    {
        'cat': u'军事',
        'subcats': [u'军情解读', u'军事节目', u'武器装备', u'战争历史']
    },
    {
        'cat': u'美食',
        'subcats': [u'美味食谱', u'烘焙', u'吃播大胃王', u'美食猎奇']
    },
    {
        'cat': u'生活',
        'subcats': [u'宠物', u'两性', u'星座', u'情感', u'健康', u'休闲', u'健身', u'家居', u'生活窍门', u'风水命理', u'心灵', u'彩票', u'摄影']  # noqa
    },
    {
        'cat': u'时尚',
        'subcats': [u'时尚资讯', u'时尚大片', u'美妆', u'潮流奢品', u'男士时尚', u'T台秀场', u'穿搭']
    },
    {
        'cat': u'育儿',
        'subcats': [u'孕产', u'喂养', u'早教', u'萌宝', u'保健护理']
    },
    {
        'cat': u'旅游',
        'subcats': [u'旅行攻略', u'旅行趣闻', u'旅途风光']
    },
    {
        'cat': u'汽车',
        'subcats': [u'新车速递', u'试驾评测', u'汽车资讯', u'用车', u'玩车', u'车模', u'摩托车', u'汽车其他']
    },
    {
        'cat': u'纪录片',
        'subcats': [u'美食纪录片', u'自然纪录片', u'历史纪录片', u'社会纪录片', u'旅游纪录片', u'军事纪录片', u'人文纪录片']
    },
    {
        'cat': u'教育',
        'subcats': [u'演讲', u'公开课', u'职场教育', u'考试', u'技能教学', u'校园内外', u'人生课堂', u'语言学习', u'知识百科']
    },
    {
        'cat': u'文化历史',
        'subcats': [u'读书', u'艺术', u'宗教', u'历史', u'文化']
    },
    {
        'cat': u'数码',
        'subcats': [u'评测', u'产品资讯', u'智能生活', u'数码其他']
    },
    {
        'cat': u'科学',
        'subcats': [u'科学实验', u'太空探索', u'科普', u'科学其他']
    },
    {
        'cat': u'科技',
        'subcats': [u'机械', u'互联网', u'科技前沿', u'科技奇趣', u'航空航天']
    },
    {
        'cat': u'其他',
        'subcats': [u'广告', u'创意', u'自拍', u'公益短片', u'青春', u'绝活']
    }]
